clear all
clc

load house1.mat
load house2.mat
load house3.mat
load house4.mat
load house5.mat


day=96;
winter=(31+31+28);
spring=31+30+31;
summer=30+31+31;
number_of_houses=5;

% Winter
for i=1:winter
    for j=1:day
        if i<=31
            % house 1
            house1WeD(i,j)=A(length(A(:,3))-31*96+j+(i-1)*day,3);
            house1WvD(i,j)=A(length(A(:,2))-31*96+j+(i-1)*day,2);
            house1WhwD(i,j)=A(length(A(:,4))-31*96+j+(i-1)*day,4);

            % house 2
            house2WeD(i,j)=house2(length(house2(:,3))-31*96+j+(i-1)*day,3);
            house2WvD(i,j)=house2(length(house2(:,2))-31*96+j+(i-1)*day,2);
            house2WhwD(i,j)=house2(length(house2(:,4))-31*96+j+(i-1)*day,4);

            % house 3
            house3WeD(i,j)=house3(length(house3(:,3))-31*96+j+(i-1)*day,3);
            house3WvD(i,j)=house3(length(house3(:,2))-31*96+j+(i-1)*day,2);
            house3WhwD(i,j)=house3(length(house3(:,4))-31*96+j+(i-1)*day,4);

            % house 4
            house4WeD(i,j)=house4(length(house4(:,3))-31*96+j+(i-1)*day,3);
            house4WvD(i,j)=house4(length(house4(:,2))-31*96+j+(i-1)*day,2);
            house4WhwD(i,j)=house4(length(house4(:,4))-31*96+j+(i-1)*day,4);

            % house 5
            house5WeD(i,j)=house5(length(house5(:,3))-31*96+j+(i-1)*day,3);
            house5WvD(i,j)=house5(length(house5(:,2))-31*96+j+(i-1)*day,2);
            house5WhwD(i,j)=house5(length(house5(:,4))-31*96+j+(i-1)*day,4);
        else
            house1WeD(i,j)=A(j+(i-1)*day,3);
            house1WvD(i,j)=A(j+(i-1)*day,2);
            house1WhwD(i,j)=A(j+(i-1)*day,4);

            % house 2
            house2WeD(i,j)=house2(j+(i-1)*day,3);
            house2WvD(i,j)=house2(j+(i-1)*day,2);
            house2WhwD(i,j)=house2(j+(i-1)*day,4);

            % house 3
            house3WeD(i,j)=house3(j+(i-1)*day,3);
            house3WvD(i,j)=house3(j+(i-1)*day,2);
            house3WhwD(i,j)=house3(j+(i-1)*day,4);

            % house 4
            house4WeD(i,j)=house4(j+(i-1)*day,3);
            house4WvD(i,j)=house4(j+(i-1)*day,2);
            house4WhwD(i,j)=house4(j+(i-1)*day,4);

            % house 5
            house5WeD(i,j)=house5(j+(i-1)*day,3);
            house5WvD(i,j)=house5(j+(i-1)*day,2);
            house5WhwD(i,j)=house5(j+(i-1)*day,4);
        end
    end
end

% Spring
time_shift=4;                       % Summer time sets demand one hour back
spring_start_day=(31+28)*96;

for i=1:spring
    for j=1:day
        if i<=31
            % house 1
            house1SpeD(i,j)=A(j+(i-1)*day+spring_start_day,3);
            house1SpvD(i,j)=A(j+(i-1)*day+spring_start_day,2);
            house1SphwD(i,j)=A(j+(i-1)*day+spring_start_day,4);

            % house 2
            house2SpeD(i,j)=house2(j+(i-1)*day+spring_start_day,3);
            house2SpvD(i,j)=house2(j+(i-1)*day+spring_start_day,2);
            house2SphwD(i,j)=house2(j+(i-1)*day+spring_start_day,4);

            % house 3
            house3SpeD(i,j)=house3(j+(i-1)*day+spring_start_day,3);
            house3SpvD(i,j)=house3(j+(i-1)*day+spring_start_day,2);
            house3SphwD(i,j)=house3(j+(i-1)*day+spring_start_day,4);

            % house 4
            house4SpeD(i,j)=house4(j+(i-1)*day+spring_start_day,3);
            house4SpvD(i,j)=house4(j+(i-1)*day+spring_start_day,2);
            house4SphwD(i,j)=house4(j+(i-1)*day+spring_start_day,4);

            % house 5
            house5SpeD(i,j)=house5(j+(i-1)*day+spring_start_day,3);
            house5SpvD(i,j)=house5(j+(i-1)*day+spring_start_day,2);
            house5SphwD(i,j)=house5(j+(i-1)*day+spring_start_day,4);
        else
            % house 1
            house1SpeD(i,j)=A(j+(i-1)*day+spring_start_day-time_shift,3);
            house1SpvD(i,j)=A(j+(i-1)*day+spring_start_day-time_shift,2);
            house1SphwD(i,j)=A(j+(i-1)*day+spring_start_day-time_shift,4);

            % house 2
            house2SpeD(i,j)=house2(j+(i-1)*day+spring_start_day-time_shift,3);
            house2SpvD(i,j)=house2(j+(i-1)*day+spring_start_day-time_shift,2);
            house2SphwD(i,j)=house2(j+(i-1)*day+spring_start_day-time_shift,4);

            % house 3
            house3SpeD(i,j)=house3(j+(i-1)*day+spring_start_day-time_shift,3);
            house3SpvD(i,j)=house3(j+(i-1)*day+spring_start_day-time_shift,2);
            house3SphwD(i,j)=house3(j+(i-1)*day+spring_start_day-time_shift,4);

            % house 4
            house4SpeD(i,j)=house4(j+(i-1)*day+spring_start_day-time_shift,3);
            house4SpvD(i,j)=house4(j+(i-1)*day+spring_start_day-time_shift,2);
            house4SphwD(i,j)=house4(j+(i-1)*day+spring_start_day-time_shift,4);

            % house 5
            house5SpeD(i,j)=house5(j+(i-1)*day+spring_start_day-time_shift,3);
            house5SpvD(i,j)=house5(j+(i-1)*day+spring_start_day-time_shift,2);
            house5SphwD(i,j)=house5(j+(i-1)*day+spring_start_day-time_shift,4);
        end
    end
end

% Summer
summer_start_day=(31+28+31+30+31)*day-time_shift;

for i=1:summer
    for j=1:day
        % house 1
        house1SeD(i,j)=A(j+(i-1)*day+summer_start_day,3);
        house1SvD(i,j)=A(j+(i-1)*day+summer_start_day,2);
        house1ShwD(i,j)=A(j+(i-1)*day+summer_start_day,4);

        % house 2
        house2SeD(i,j)=house2(j+(i-1)*day+summer_start_day,3);
        house2SvD(i,j)=house2(j+(i-1)*day+summer_start_day,2);
        house2ShwD(i,j)=house2(j+(i-1)*day+summer_start_day,4);

        % house 3
        house3SeD(i,j)=house3(j+(i-1)*day+summer_start_day,3);
        house3SvD(i,j)=house3(j+(i-1)*day+summer_start_day,2);
        house3ShwD(i,j)=house3(j+(i-1)*day+summer_start_day,4);

        % house 2
        house4SeD(i,j)=house4(j+(i-1)*day+summer_start_day,3);
        house4SvD(i,j)=house4(j+(i-1)*day+summer_start_day,2);
        house4ShwD(i,j)=house4(j+(i-1)*day+summer_start_day,4);

        % house 2
        house5SeD(i,j)=house5(j+(i-1)*day+summer_start_day,3);
        house5SvD(i,j)=house5(j+(i-1)*day+summer_start_day,2);
        house5ShwD(i,j)=house5(j+(i-1)*day+summer_start_day,4);
    end
end

for g=1:day
    avg_e_winter_day(g)=(mean(house1WeD(:,g))+mean(house2WeD(:,g))+...
        mean(house3WeD(:,g))+mean(house4WeD(:,g))+mean(house5WeD(:,g)))/...
        number_of_houses;
    avg_v_winter_day(g)=(mean(house1WvD(:,g))+mean(house2WvD(:,g))+...
        mean(house3WvD(:,g))+mean(house4WvD(:,g))+mean(house5WvD(:,g)))/...
        number_of_houses;
    avg_hw_winter_day(g)=(mean(house1WhwD(:,g))+mean(house2WhwD(:,g))+...
        mean(house3WhwD(:,g))+mean(house4WhwD(:,g))+mean(house5WhwD(:,g)))/...
        number_of_houses;

    avg_e_spring_day(g)=(mean(house1SpeD(:,g))+mean(house2SpeD(:,g))+...
        mean(house3SpeD(:,g))+mean(house4SpeD(:,g))+mean(house5SpeD(:,g)))/...
        number_of_houses;
    avg_v_spring_day(g)=(mean(house1SpvD(:,g))+mean(house2SpvD(:,g))+...
        mean(house3SpvD(:,g))+mean(house4SpvD(:,g))+mean(house5SpvD(:,g)))/...
        number_of_houses;
    avg_hw_spring_day(g)=(mean(house1SphwD(:,g))+mean(house2SphwD(:,g))+...
        mean(house3SphwD(:,g))+mean(house4SphwD(:,g))+mean(house5SphwD(:,g)))/...
        number_of_houses;

    avg_e_summer_day(g)=(mean(house1SeD(:,g))+mean(house2SeD(:,g))+...
        mean(house3SeD(:,g))+mean(house4SeD(:,g))+mean(house5SeD(:,g)))/...
        number_of_houses;
    avg_v_summer_day(g)=(mean(house1SvD(:,g))+mean(house2SvD(:,g))+...
        mean(house3SvD(:,g))+mean(house4SvD(:,g))+mean(house5SvD(:,g)))/...
        number_of_houses;
    avg_hw_summer_day(g)=(mean(house1ShwD(:,g))+mean(house2ShwD(:,g))+...
        mean(house3ShwD(:,g))+mean(house4ShwD(:,g))+mean(house5ShwD(:,g)))/...
        number_of_houses;
end

save('daily_cons_winter.mat','avg_hw_winter_day', 'avg_v_winter_day')

% Total energy consumption as function of time
total_winter=avg_e_winter_day+avg_v_winter_day+avg_hw_winter_day;
total_spring=avg_e_spring_day+avg_v_spring_day+avg_hw_spring_day;
total_summer=avg_e_summer_day+avg_v_summer_day+avg_hw_summer_day;

% Average total
mean_total_winter=mean(total_winter)
mean_total_spring=mean(total_spring)
mean_total_summer=mean(total_summer)

% STD total
std_total_winter=std(total_winter)
std_total_spring=std(total_spring)
std_total_summer=std(total_summer)

% Max total
max_total_winter=max(total_winter)
max_total_spring=max(total_spring)
max_total_summer=max(total_summer)

% Min total
min_total_winter=min(total_winter)
min_total_spring=min(total_spring)
min_total_summer=min(total_summer)

% Average heating
mean_avg_v_winter_day=mean(avg_v_winter_day)
mean_avg_v_spring_day=mean(avg_v_spring_day)
mean_avg_v_summer_day=mean(avg_v_summer_day)    

% Std heating
std_avg_v_winter_day=std(avg_v_winter_day)
std_avg_v_spring_day=std(avg_v_spring_day)
std_avg_v_summer_day=std(avg_v_summer_day)

% Max heating
max_avg_v_winter_day=max(avg_v_winter_day)
max_avg_v_spring_day=max(avg_v_spring_day)
max_avg_v_summer_day=max(avg_v_summer_day)

% Min heating
min_avg_v_winter_day=min(avg_v_winter_day)
min_avg_v_spring_day=min(avg_v_spring_day)
min_avg_v_summer_day=min(avg_v_summer_day)

% Average electricity
mean_avg_e_winter_day=mean(avg_e_winter_day)
mean_avg_e_spring_day=mean(avg_e_spring_day)
mean_avg_e_summer_day=mean(avg_e_summer_day)

% Std electricity
std_avg_e_winter_day=std(avg_e_winter_day)
std_avg_e_spring_day=std(avg_e_spring_day)
std_avg_e_summer_day=std(avg_e_summer_day)

% Max electricity
max_avg_e_winter_day=max(avg_e_winter_day)
max_avg_e_spring_day=max(avg_e_spring_day)
max_avg_e_summer_day=max(avg_e_summer_day)

% Min electricity
min_avg_e_winter_day=min(avg_e_winter_day)
min_avg_e_spring_day=min(avg_e_spring_day)
min_avg_e_summer_day=min(avg_e_summer_day)

% Average hot water
mean_avg_hw_winter_day=mean(avg_hw_winter_day)
mean_avg_hw_spring_day=mean(avg_hw_spring_day)
mean_avg_hw_summer_day=mean(avg_hw_summer_day)

% Std hot water
std_avg_hw_winter_day=std(avg_hw_winter_day)
std_avg_hw_spring_day=std(avg_hw_spring_day)
std_avg_hw_summer_day=std(avg_hw_summer_day)

% Max hot water
max_avg_hw_winter_day=max(avg_hw_winter_day)
max_avg_hw_spring_day=max(avg_hw_spring_day)
max_avg_hw_summer_day=max(avg_hw_summer_day)

% Min hot water
min_avg_hw_winter_day=min(avg_hw_winter_day)
min_avg_hw_spring_day=min(avg_hw_spring_day)
min_avg_hw_summer_day=min(avg_hw_summer_day)

% Total warmth
total_w_winter=avg_v_winter_day+avg_hw_winter_day;
total_w_spring=avg_v_spring_day+avg_hw_summer_day;
total_w_summer=avg_v_summer_day+avg_hw_summer_day;

% Mean total warmth
mean_total_w_winter=mean(total_w_winter)
mean_total_w_spring=mean(total_w_spring)
mean_total_w_summer=mean(total_w_summer)

Time=0:24/95:24;

figure(1)
plot(Time,total_winter,Time,total_spring,Time,total_summer)
legend('Winter','Spring','Summer',2)
xlabel('Time')
ylabel('Power [kW]')
title('Daily energy load curve')
set(gca,'XTick',0:2:24)
saveas(gcf,'total_energy_load_curve.fig')
saveas(gcf,'total_energy_load_curve.eps')

figure(2)
plot(Time,avg_v_winter_day,Time,avg_v_spring_day,Time,avg_v_summer_day)
legend('Winter','Spring','Summer',2)
xlabel('Time')
ylabel('Power [kW]')
title('Daily warming load curve')
set(gca,'XTick',0:2:24)

figure(3)
plot(Time,avg_e_winter_day,Time,avg_e_spring_day,Time,avg_e_summer_day)
legend('Winter','Spring','Summer',2)
xlabel('Time')
ylabel('Power [kW]')
title('Daily electricity load curve')
set(gca,'XTick',0:2:24)

figure(4)
plot(Time,avg_hw_winter_day,Time,avg_hw_spring_day,Time,avg_hw_summer_day)
legend('Winter','Spring','Summer',2)
xlabel('Time')
ylabel('Power [kW]')
title('Daily hot water load curve')
set(gca,'XTick',0:2:24)

figure(5)
plot(Time,total_w_winter,Time,total_w_spring,Time,total_w_summer)
legend('Winter','Spring','Summer',2)
xlabel('Time')
ylabel('Power [kW]')
title('Daily heat load curve')
set(gca,'XTick',0:2:24)

Time = Time';
total_w_winter = total_w_winter';

data = [Time*3600 total_w_winter total_w_spring' total_w_summer'];

save daily_cons.mat data

total_w_summer = total_w_summer';

data_summer = [Time*3600 total_w_summer];

save daily_cons_summer.mat data_summer

data_house2=[house2(:,1)*60 house2(:,2)+house2(:,4)];
    
save yearly_house2_cons.mat data_house2
    