clear all
clc

load house1.mat
load house2.mat
load house3.mat
load house4.mat
load house5.mat

s=1;
step_size=0.1;
max_s=max(A(:,3))/step_size;
% F=zeros(1,max_s);
% b=zeros(1,max_s);
number_of_houses=5;

for j=0:step_size:max(A(:,3));
    t=0;
    for i=1:length(A);
        if A(i,3)>= j;
            t=t+1;
        end
        if house2(i,3)>= j;
            t=t+1;
        end
        if house3(i,3)>= j;
            t=t+1;
        end
        if house4(i,3)>= j;
            t=t+1;
        end
        if house5(i,3)>= j;
            t=t+1;
        end
    end
    eF(s)=t;
    eb(s)=j;
    s=s+1;
end

efracsum=max(eF);
etime_fraction=eF/efracsum;
s=1;

for j=0:step_size:max(A(:,2)+A(:,4));
    t=0;
    for i=1:length(A);
        if (A(i,2)+A(i,4))>= j;
            t=t+1;
        end
        if (house2(i,2)+house2(i,4))>= j;
            t=t+1;
        end
        if (house3(i,2)+house3(i,4))>= j;
            t=t+1;
        end
        if (house4(i,2)+house4(i,4))>= j;
            t=t+1;
        end
        if (house5(i,2)+house5(i,4))>= j;
            t=t+1;
        end
    end
    hF(s)=t;
    hb(s)=j;
    s=s+1;
end

hfracsum=max(hF);
htime_fraction=hF/hfracsum;

%emean_vector=ones(length(etime_fraction))*(mean(A(:,3))+mean(house2(:,3))+mean(house3(:,3))+mean(house4(:,3))+mean(house5(:,3)))/number_of_houses*1000;
emean_vector=ones(length(etime_fraction))*1000;

figure(1)
plot(etime_fraction,eb*1000,etime_fraction,emean_vector,'r-.')
xlabel('Time fraction')
ylabel('Power [W]')
title('Electricity load duration curve')
set(gca,'XTick',0:0.1:1,'YTick',0:1000:7000)
grid off

% hmean_vector=ones(length(htime_fraction))*(mean(A(:,2)+A(:,4))+mean(house2(:,2)+house2(:,4))+mean(house3(:,2)+house3(:,4))+mean(house4(:,3)+house4(:,4))+mean(house5(:,3)+house5(:,4)))/number_of_houses*1000;
hmean_vector=ones(length(htime_fraction))*2000;

figure(2)
plot(htime_fraction,hb*1000,htime_fraction,hmean_vector,'r-.')
xlabel('Time fraction')
ylabel('Power [W]')
title('Heating load duration curve')
set(gca,'XTick',0:0.1:1,'YTick',0:2000:14000)
grid off